## org.apache.lucene.benchmark.byTask
Class Benchmark

    java.lang.Object
      org.apache.lucene.benchmark.byTask.Benchmark

    public class Benchmark

extends java.lang.Object

Run the benchmark algorithm.

Usage: java Benchmark algorithm-file

1. Read algorithm.
2. Run the algorithm.

Things to be added/fixed in "Benchmarking by tasks":

1. TODO - report into Excel and/or graphed view.
2. TODO - perf comparison between Lucene releases over the years.
3. TODO - perf report adequate to include in Lucene nightly build site? (so we can easily track performance changes.)
4. TODO - add overall time control for repeated execution (vs. current by-count only).
5. TODO - query maker that is based on index statistics.

Constructor Summary
`Benchmark(java.io.Reader algReader)`

Method Summary
`void` `execute()`
`Algorithm` `getAlgorithm()`
`PerfRunData` `getRunData()`
`static void` `main(java.lang.String[] args)` Run the benchmark algorithm.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Benchmark

    public Benchmark(java.io.Reader algReader)
              throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### execute

    public void execute()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

  Run the benchmark algorithm.

  Parameters:
    `args` - benchmark config and algorithm files

### getAlgorithm

    public Algorithm getAlgorithm()

  Returns:
    Returns the algorithm.

### getRunData

    public PerfRunData getRunData()

  Returns:
    Returns the runData.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.